--:SetVar Function "AUX:ThroughSeparator_3"
if exists( select * from [sysobjects] (nolock) where [type] in ('FN','TF') and [name]=N'AUX:ThroughSeparator_3' )
   drop function [AUX:ThroughSeparator_3]
GO
/* Translated by $SQLTRANS utility (SQL-file technology). Method author: Sergei Y.Kitáev.
** Script translation date-time: 2022-11-27 00:29:27.24 (stamp of SQL-file generation). */
create function [AUX:ThroughSeparator_3]( @Separator nvarchar(max) = null,
                               @String_1 nvarchar(max),
                               @String_2 nvarchar(max),
                               @String_3 nvarchar(max) )
returns nvarchar(max)
BEGIN
/*==================================================================================================
# SQLAUX scripting library | Author: Sergei Y.Kitáev
----------------------------------------------------------------------------------------------------
#
# CONCATENATION OF THREE STRINGS THROUGH SEPARATOR (THROUGH COMMA BY DEFAULT):
#
# === Usage: ===
# dbo.[AUX:ThroughSeparator_3]( <Separator>, <String-1>, <String-2>, <String-3> )
#
==================================================================================================*/

return dbo.[AUX:ThroughSeparator](
   dbo.[AUX:ThroughSeparator]( @String_1, @String_2, @Separator ),
   @String_3, @Separator )

/*================================================================================================*/
END
GO
/*
select dbo.[AUX:ThroughSeparator_3]( null, N'1', N'2', N'3' ) 'Through separator'
select dbo.[AUX:ThroughSeparator_3]( '; ', N'First', N'Second', N'Third' ) 'Through separator'
*/
